Subject: Re: [PATCH v2 16/19] parallel-checkout: add tests for basic operations

From: Junio C Hamano <[email-masked]>
Date: Tue, 20 Oct 2020 12:09:00 -0700

Matheus Tavares Bernardino <[email-masked]> writes:

> I noticed we also have some uses of + and ? in tests, with `grep -E`
> (or egrep). Are we OK with ERE or did these maybe just slip in by
> accident?

We are OK with 'grep -E' and 'egrep' and write '+' and '?' as valid
ERE elements.  What we are not OK with is to invoke ERE elements in
an expression that is supposed to be a BRE by prefixing a backslash,
e.g. '\+'.  Perhaps it is a GNU extension?

We need to remove '\+' in t/perf/bisect_regression used with sed.
What is sad is that this trick and "sed -E" are both GNUisms, and
there is no portable way to use ERE with sed X-<.

But we could resort to Perl in truly tricky cases ;-).